Bug 115031 - Visiting /content/admin when not logged in gives Error 500
Summary: Visiting /content/admin when not logged in gives Error 500
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Scott Seago
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 113496
TreeView+ depends on / blocked
 
Reported: 2004-02-05 17:41 UTC by Daniel Berrange
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-10 22:57:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-02-05 17:41:16 UTC
Description of problem:
Visiting the CMS admin page /content/admin/ when not logged in gives
you an access denied error page. This should in fact redirect you to
the login page first, and only give the access denied page if you are
already logged in.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. log out
2. Visit /ccm/content/admin
3.
  
Actual results:
Error 500

Expected results:
Redirect to login page

Additional info:

Comment 1 Scott Seago 2004-02-10 18:45:30 UTC
Fixed @40250. Also, /ccm/content/admin/item.jsp had the opposite problem.

/ccm/content/admin/index.jsp was throwing AccessDeniedException for
users without permission and for non-logged-in users.
/ccm/content/admin/item.jsp was throwing LoginSignal for both cases.

Now, LoginSignal is thrown on both pages when the user isn't logged
in, and AccessDeniedException when a logged-in user has no permission.

Comment 2 Jon Orris 2004-02-10 22:57:45 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.